import { FC } from 'react';
export declare type AddToCalendarEvent = {
    /**
     * The title for the calendar entry, if a string it must be parseable as `Date`
     */
    start: string | Date;
    /**
     * The start time for the calendar entry, if a string it must be parseable as `Date`
     */
    end: string | Date;
    /**
     * The end time for the calendar entry
     */
    title: string;
    /**
     * The optional location for the calendar entry
     */
    location?: string;
    /**
     * The optional description for the calendar entry
     */
    description?: string;
};
export declare type AddToCalendarProps = AddToCalendarEvent & {
    /**
     * Additional element class name
     * @default ''
     */
    className?: string;
};
/**
 * AddToCalendar widget that supports google, apple and outlook calendars
 */
export declare const AddToCalendar: FC<AddToCalendarProps>;
