import { FC } from 'react';
export declare type ButtonProps = {
    /** Additional button class name */
    className?: string;
    /** The text to display in the button */
    text: string;
    /** The name of the button */
    name?: string;
    /** The value of the button */
    value?: string;
    /** If the button should open a link use this prop */
    url?: string;
    /** Button style variant */
    variant?: 'floating';
    /** Optional button icon name to display besides the text (from [material icons](https://material.io/resources/icons/)) */
    icon?: string;
};
/**
 * Button can be used to open a URL, submit the form or trigger a select when clicked
 */
export declare const Button: FC<ButtonProps>;
