import { FC } from 'react';
import { Dayjs } from 'dayjs';
export declare type DatePickerProps = {
    /** The scheduler name attached to hidden input */
    name: string;
    /** The selected date time */
    selected: Dayjs;
    /** Interval in days for time selection */
    dateInterval: number;
    /**  Interval in minutes for time selection */
    timeInterval: number;
    /** Show only the date picker(without time picker) */
    fullDay: boolean;
    /** Date format, see [dayjs docs](https://day.js.org/docs/en/display/format) */
    dateFormat: string;
    /** Time format, see [dayjs docs](https://day.js.org/docs/en/display/format) */
    timeFormat: string;
    /** Filter dates, it should return a boolean */
    icalFilter: (date: Dayjs) => boolean;
};
export declare const DatePicker: FC<DatePickerProps>;
