import { FC } from 'react';
import { Dayjs } from 'dayjs';
import { DatePickerProps } from './DatePicker';
export declare type DatePickerSelectProps = DatePickerSelectReadyProps & {
    itemClassName?: string;
    getItemData: (props: DatePickerSelectItemProps) => DatePickerItemData;
};
/**
 * Basic shape of DatePickerSelect extended by wrapper components as DatePickerDate and DatePickerTime
 */
export declare type DatePickerSelectReadyProps = Pick<DatePickerProps, 'icalFilter'> & {
    format: string;
    interval: number;
    onChange: (value: Dayjs) => void;
    value: Dayjs;
};
/**
 * Inside Virtuoso select items need an idx to indicate their position
 */
export declare type DatePickerSelectItemProps = {
    format: string;
    idx: number;
    interval: number;
    value: Dayjs;
};
/**
 * The data needed by each datepicker select item
 */
export declare type DatePickerItemData = {
    displayValue: string;
    idx: number;
    isSelected: (currentValue: Dayjs) => boolean;
    value: Dayjs;
};
/**
 * DatePicker select
 */
export declare const DatePickerSelect: FC<DatePickerSelectProps>;
