import { FC } from 'react';
import { ProgressProps } from './Progress';
export declare type LoadingProps = {
    /**
     * Flag that indicates whether the component should show
     * @default false
     */
    loading?: boolean;
    /**
     * Optional text to display besides the progress indicator
     */
    text?: string;
    /**
     * Additional element class name
     * @default ''
     */
    className?: string;
} & ProgressProps;
/**
 * Loading indicator
 */
export declare const Loading: FC<LoadingProps>;
