import { FC } from 'react';
export declare type ProgressProps = {
    /**
     * The size of the progress spinner sets the diameter of the animated circle, it allows to override a specific progress size despite the default CSS value
     * @default 'SCSS: $mml-progress-width: 1em'
     */
    size?: string | number;
    /**
     * The thickness of the circle, (it sets the `stroke-wdith` svg attribute)
     * @default 3.6
     */
    thickness?: string | number;
    /**
     * The color of the progress circle, it allows to override a specific progress color despite the default CSS value
     * @default 'SCSS: $mml-progress-color: #bbb'
     */
    color?: string;
};
export declare const Progress: FC<ProgressProps>;
