import { ReactElement } from 'react';
import { MMLTag } from './MMLTag';
export declare type ConvertorType = (tag: MMLTag, children?: ReactElement[]) => ReactElement;
/**
 * The converters maps MML tags to react nodes
 * Every converter is passed the MML tag as well as the children (as React nodes)
 */
export declare const converters: {
    button: (tag: MMLTag) => JSX.Element;
    button_list: (tag: MMLTag, children?: JSX.Element[] | undefined) => JSX.Element;
    input: (tag: MMLTag) => JSX.Element;
    add_to_calendar: (tag: MMLTag) => JSX.Element;
    col: (tag: MMLTag, children?: JSX.Element[] | undefined) => JSX.Element;
    row: (tag: MMLTag, children?: JSX.Element[] | undefined) => JSX.Element;
    icon: (tag: MMLTag) => JSX.Element;
    image: (tag: MMLTag) => JSX.Element;
    md: (tag: MMLTag) => JSX.Element;
    text: (tag: MMLTag) => JSX.Element;
    scheduler: (tag: MMLTag) => JSX.Element;
    carousel: (tag: MMLTag, children?: JSX.Element[] | undefined) => JSX.Element;
    item: (tag: MMLTag, children?: JSX.Element[] | undefined) => JSX.Element;
    number: (tag: MMLTag) => JSX.Element;
};
