import parseXml from '@rgrove/parse-xml';
import { ConvertorType } from './converters';
import { Tree } from './tree';
/**
 * SourceToXML - Takes an MML string and converts it to XML nodes
 *
 * @param {string} source MML tag string
 *
 * @returns {array} an Array of XML nodes
 */
export declare function SourceToXML(source: string): parseXml.XmlDocument;
/**
 * XMLtoMMLTree - Takes an array of XML nodes and converts it into an MML Tree
 *
 * @param {type} XMLNodes an array of XML nodes
 *
 * @returns {MMLTree} The MML tree
 */
export declare function XMLtoMMLTree(document: parseXml.XmlDocument, customConvertors?: Record<string, ConvertorType>): Tree;
/**
 * Takes an MML string and returns an MML Tree
 *
 * @param {string} source MML tag string
 *
 *  @returns {Tree} An MML Tree
 */
export declare function Parse(source: string, customConvertors?: Record<string, ConvertorType>): Tree;
